
Redmine - Feature #16093

Emails sent out by Redmine are identical

2014-02-13 23:52 - Jean-Claude Wippler

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

While starting to use Redmine a lot more, we're running into the issue that all the emails come from a single email address, and they

all look the same. This is, in a way, exactly as it should be - but it makes it hard to create rules for filtering and organizing such

notifications. It would be nice to have some hint about who generated the email.

I see that GitHub does the same, but with one clever refinement: the email address is the same, but the person's name specified with

that address is the name of the originator.

Would it be possible to implement this idea in Redmine? One option I can think of is that some special characters in the email field

set in the admin pages get replaced when creating a new email. In our case, that would be the username of the person causing the

email to be generated: issue creator, wiki editor, forum poster, etc.

The resulting email would still appear to come from a single email address, but email apps can then show who in the Redmine setup

generated the message.

So if the Emission email address field on the Email notifications page is set to say "<<me>> <redmine@example.com>", then this

issue would have generated an issue with as sender "jcw <redmine@example.com>". Just enough extra detail for receivers of the

email to see who it's really from, even though Redmine generated it.

Related issues:

Related to Redmine - Feature #11894: Configurable emission email address Closed

Related to Redmine - Feature #241: Mailer sender is set as event initiator Closed

Is duplicate of Redmine - Feature #5913: Authors name in from  address of ema... Closed 2010-07-20

History

#1 - 2014-02-14 00:04 - Jean-Claude Wippler

See also Wim Bertels' last comment at #11894.

#2 - 2014-03-06 05:44 - Toshi MARUYAMA

- Related to Feature #11894: Configurable emission email address added

#3 - 2014-03-06 05:45 - Toshi MARUYAMA

- Description updated

#4 - 2019-02-11 05:29 - Go MAEDA

- Related to Feature #241: Mailer sender is set as event initiator added

#5 - 2019-02-11 05:58 - Go MAEDA

- Is duplicate of Feature #5913: Authors name in from  address of email notifications added

#6 - 2019-02-11 06:00 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

I like this idea but closing as a duplicate of #5913.
